#
# spectrwm Example Configuration File
#
# PLEASE READ THE MAN PAGE BEFORE EDITING THIS FILE!
# https://htmlpreview.github.io/?https://github.com/conformal/spectrwm/blob/master/spectrwm.html
#
# All example settings in this file are commented out with a '#'.
# See the spectrwm(1) man page for default values.
#
# NOTE: rgb color values are in hexadecimal! See XQueryColor(3) for details.

#workspace_limit	= 22
#focus_mode		= default
#focus_close		= previous
#focus_close_wrap	= 1
#focus_default		= last
#spawn_position		= next
#workspace_autorotate	= 1
#workspace_clamp	= 1
#warp_focus		= 1
#warp_pointer		= 1
#click_to_raise		= 1
#center_autobalance	= 1
#center_nowrap		= 1
#center_adaptive		= 1
#center_noautostack	= 1
#uniconify_order		= latest

# Include mapped workspaces when switching with any of the ws next/prev actions.
#cycle_visible		= 1

# Sequence of layouts used by the cycle_layout action.
#layout_order		= vertical,horizontal,max,floating

# Window Decoration
#border_width		= 1
#color_focus		= red
#color_focus_maximized	= yellow
#color_unfocus		= rgb:88/88/88
#color_unfocus_maximized	= rgb:88/88/00
#color_urgent		= rgb:ff/a5/00
#color_urgent_maximized	= rgb:ff/a5/00
#color_focus_free	= cyan
#color_focus_maximized_free	= magenta
#color_unfocus_free	= rgb:00/88/88
#color_unfocus_maximized_free	= rgb:88/00/88
#color_urgent_free	= rgb:b8/86/0b
#color_urgent_maximized_free	= rgb:b8/86/0b
#region_padding		= 0
#tile_gap		= 0

# Region containment
# Distance window must be dragged/resized beyond the region edge before it is
# allowed outside the region.
#boundary_width 		= 50

# Settings that apply when regions have a single window
# '1' - apply only when status bar is disabled.
# 'always' - apply regardless of status bar.
#disable_border		= 1	# remove window border
#disable_padding		= always	# disable region padding

# Bar Settings
#bar_enabled		= 1
#bar_enabled_ws[1]	= 1
#bar_border_width	= 1
#bar_border[1]		= rgb:00/80/80
#bar_border_unfocus[1]	= rgb:00/40/40
#bar_border_free[1]	= rgb:80/80/00
#bar_color[1]		= black
#bar_color_unfocus[1]	= black
#bar_color_free[1]	= rgb:40/40/00
#bar_color_selected[1]	= rgb:00/80/80
#bar_font_color[1]	= rgb:a0/a0/a0
#bar_font_color_unfocus[1]	= rgb:a0/a0/a0
#bar_font_color_free[1]	= white
#bar_font_color_selected	= black
#bar_font		= xos4 Terminus:pixelsize=14:antialias=true
#bar_font_pua		= Typicons:pixelsize=14:antialias=true
#bar_action		= baraction.sh
#bar_action_expand	= 0
#bar_justify		= left
#bar_format		= +N:+I +S <+D>+4<%a %b %d %R %Z %Y+8<+A+4<+V
#bar_workspace_limit	= 0
#workspace_indicator	= listcurrent,listactive,markcurrent,printnames
#workspace_mark_current	= '*'
#workspace_mark_current_suffix	= ''
#workspace_mark_active	= '^'
#workspace_mark_active_suffix	= ''
#workspace_mark_empty	= '-'
#workspace_mark_empty_suffix	= ''
#workspace_mark_urgent	= '!'
#workspace_mark_urgent_suffix	= ''
#bar_at_bottom		= 1
#stack_enabled		= 1
#stack_mark_horizontal	= '[-]'
#stack_mark_horizontal_flip	= '[v]'
#stack_mark_horizontal_center	= '(-)'
#stack_mark_horizontal_center_flip	= '(v)'
#stack_mark_vertical	= '[|]'
#stack_mark_vertical_flip	= '[>]'
#stack_mark_vertical_center	= '(|)'
#stack_mark_vertical_center_flip	= '(>)'
#stack_mark_max		= '[ ]'
#stack_mark_floating	= '[~]'
#focus_mark_none	= ''
#focus_mark_normal	= ''
#focus_mark_floating	= '(f)'
#focus_mark_maximized	= '(m)'
#focus_mark_free	= '(*)'
#clock_enabled		= 1
#clock_format		= %a %b %d %R %Z %Y
#iconic_enabled		= 0
#fullscreen_hide_other	= 0
#maximize_hide_bar	= 0
#maximize_hide_other	= 0
#window_class_enabled	= 0
#window_instance_enabled	= 0
#window_name_enabled	= 0
#verbose_layout		= 1
#urgent_enabled		= 1
#urgent_collapse	= 0

# Dialog box size ratio when using TRANSSZ quirk; 0.3 < dialog_ratio <= 1.0
#dialog_ratio		= 0.6

# The pixel amount to move/resize windows via the move_ and shrink/grow actions.
#move_step		= 50
#resize_step		= 50

# Split a non-RandR dual head setup into one region per monitor
# (non-standard driver-based multihead is not seen by spectrwm)
#region			= screen[1]:1280x1024+0+0
#region			= screen[1]:1280x1024+1280+0

# Customize workspace layout at start
#layout			= ws[1]:4:0:0:0:vertical
#layout			= ws[2]:0:0:0:0:horizontal
#layout			= ws[3]:0:0:0:0:max
#layout			= ws[4]:4:0:0:0:vertical_flip
#layout			= ws[5]:0:0:0:0:horizontal_flip
#layout			= ws[6]:0:0:0:0:floating

# Set workspace name at start
#name			= ws[1]:IRC
#name			= ws[2]:Email
#name			= ws[3]:Browse
#name			= ws[10]:Music

# Change the modifier to use when specifying 'MOD' in bindings.
# This should come before configuring bindings, not after.
# (Mod1: Alt key, Mod4: Windows key, Mod2: Apple key on OSX)
#modkey = Mod4

# This allows you to include pre-defined key bindings for your keyboard layout.
# All key bindings are cleared before loading bindings in the specified file.
#keyboard_mapping	= ~/.spectrwm_us.conf

# PROGRAMS

# Set the default spawn flags for 'autorun' and 'program' entries.
# Note that this does not affect existing entries, including defaults.
#spawn_flags		= nospawnws

# A regex search pattern can be specified to change existing entries:
#spawn_flags[menu|term]	+= nospawnws

# Change spawn flags on all existing entries, including defaults:
#spawn_flags[.*]	+= nospawnws

# Launch applications in a workspace of choice.
# Note that the specified workspace is ignored when 'nospawnws' is set.
#autorun		= ws[1]:xterm
#autorun		= ws[2]:xombrero http://www.openbsd.org

# Validated default program entries:
#program[lock]		= xlock
#program[term]		= xterm
#program[menu]		= dmenu_run $dmenu_bottom -fn $bar_font -nb $bar_color -nf $bar_font_color -sb $bar_color_selected -sf $bar_font_color_selected
#program[search]		= dmenu $dmenu_bottom -i -fn $bar_font -nb $bar_color -nf $bar_font_color -sb $bar_color_selected -sf $bar_font_color_selected
#program[name_workspace]	= dmenu $dmenu_bottom -p Workspace -fn $bar_font -nb $bar_color -nf $bar_font_color -sb $bar_color_selected -sf $bar_font_color_selected

# Validation of the above can be disabled by setting the 'optional' spawn flag.
# Note that these entries are required for included features. Instead of
# disabling validation, it is recommended to resolve these dependencies or
# override the entries with suitable alternatives.
#spawn_flags[lock|term|menu|search|name_workspace]	+= optional

# Alternatively, free the respective binding(s):
#bind[]			= MOD+Shift+Delete	# disable lock
#bind[]			= MOD+Shift+Return	# disable term
#bind[]			= MOD+p			# disable menu

# Default programs with the 'optional' spawn flag:
#program[screenshot_all]	= screenshot.sh full
#program[screenshot_wind]	= screenshot.sh window
#program[initscr]	= initscreen.sh

# EXAMPLE: Define 'firefox' action and bind to key.
#program[firefox]	= firefox http://spectrwm.org/
#bind[firefox]		= MOD+Shift+b

# QUIRKS
# Default quirks, remove with: quirk[class:name] = NONE
#quirk[.*:.*:.*:splash,dialog]		= FLOAT
#quirk[.*:.*:.*:toolbar,utility]		= FLOAT + ANYWHERE
#quirk[.*:.*:.*:notification]		= FLOAT + ANYWHERE + MINIMALBORDER + NOFOCUSONMAP
#quirk[MPlayer:xv]			= FLOAT + FULLSCREEN + FOCUSPREV
#quirk[OpenOffice.org 2.4:VCLSalFrame]	= FLOAT
#quirk[OpenOffice.org 3.0:VCLSalFrame]	= FLOAT
#quirk[OpenOffice.org 3.1:VCLSalFrame]	= FLOAT
#quirk[Firefox-bin:firefox-bin]		= TRANSSZ
#quirk[Firefox:Dialog]			= FLOAT
#quirk[Gimp:gimp]			= FLOAT + ANYWHERE
#quirk[XTerm:xterm]			= XTERM_FONTADJ
#quirk[xine:Xine Window]			= FLOAT + ANYWHERE
#quirk[Xitk:Xitk Combo]			= FLOAT + ANYWHERE
#quirk[xine:xine Panel]			= FLOAT + ANYWHERE
#quirk[Xitk:Xine Window]			= FLOAT + ANYWHERE
#quirk[xine:xine Video Fullscreen Window]	= FULLSCREEN + FLOAT
#quirk[pcb:pcb]				= FLOAT
